Package org.italiangrid.voms.ac

# Class ACParsingContext

java.lang.Object
org.italiangrid.voms.ac.ACParsingContext

public class ACParsingContext extends Object
This class describes the context in which a VOMS `AttributeCertificate` has been parsed in a certificate chain.

Author:
  Andrea Ceccanti

## Constructor Summary

Constructors
Constructor
Description
`ACParsingContext(List<org.bouncycastle.asn1.x509.AttributeCertificate> aCs, int certChainPostion, X509Certificate[] certChain)`

## Method Summary

Modifier and Type
Method
Description
`List<org.bouncycastle.asn1.x509.AttributeCertificate>`
`getACs()`
`X509Certificate[]`
`getCertChain()`
`int`
`getCertChainPostion()`
`void`
`setACs(List<org.bouncycastle.asn1.x509.AttributeCertificate> aCs)`
`void`
`setCertChain(X509Certificate[] certChain)`
`void`
`setCertChainPostion(int certChainPostion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACParsingContext

public ACParsingContext(List<org.bouncycastle.asn1.x509.AttributeCertificate> aCs, int certChainPostion, X509Certificate[] certChain)

Parameters:
  `aCs` - a set of parsed VOMS Attribute Certificates
  `certChainPostion` - the position in the chain where the ACs have been parsed
  `certChain` - the chain from where the ACs have been parsed

## Method Details

### getACs

public List<org.bouncycastle.asn1.x509.AttributeCertificate> getACs()

Returns:
  the aCs

### setACs

public void setACs(List<org.bouncycastle.asn1.x509.AttributeCertificate> aCs)

Parameters:
  `aCs` - the aCs to set

### getCertChainPostion

public int getCertChainPostion()

Returns:
  the certChainPostion

### setCertChainPostion

public void setCertChainPostion(int certChainPostion)

Parameters:
  `certChainPostion` - the certChainPostion to set

### getCertChain

public X509Certificate[] getCertChain()

Returns:
  the certChain

### setCertChain

public void setCertChain(X509Certificate[] certChain)

Parameters:
  `certChain` - the certChain to set